# statistics.reports.{name}.report_elements.{name}.columns{name}
---
structure:

  columns:
    report_field:                  string
    show_column:                   bool
    show_percent_column:           bool
    show_bar_column:               bool
    show_graph:                    bool

infos:

  - name:               columns
    required_if:        if report element type equal overview, table or
                        log_detail

  - name:               columns.report_field
    value:              report field node name

  - name:               columns.show_column

  - name:               columns.show_percent_column
    required_if:        if report element type equal table and
                        is aggregating report field

  - name:               columns.show_bar_column
    required_if:        if report element type equal table and
                        is aggregating report field

  - name:               columns.show_graph
    required_if:        if report element type equal table and
                        is aggregating report field

...












